%define libname                %mklibname kdevideo 1
%define __libtoolize    /bin/true

%define compile_enable_final 0

%define kdetv_epoch 1

Summary: 		Kdetv - KDE Video4Linux Stream Capture Viewer
Name: 			kdetv
Version: 		0.8.9
Release: 		%mkrel 3
Source: 		%name-%version.tar.bz2
Group: 			Video
License: 		GPL
URL: 			http://www.kwintv.org/
BuildRoot: 		%_tmppath/%name-%version
Patch1:			kdetv-0.8.0-fix-install.patch.bz2
Patch2:			kdetv-0.8.4-lib64.patch.bz2
Patch3:			kdetv-0.8.7-simd.patch.bz2
Patch4:			kdetv-0.8.9-auto26.patch

BuildRequires: 		kdelibs-devel, qt3-devel, arts
BuildRequires:		jpeg-devel, png-devel, kdebase-devel 
Buildrequires:		arts-devel, libMesaGLU-devel
BuildRequires:		libxxf86dga-devel, libxt-devel, libxv-devel
Requires: 			arts, kdebase
Requires:			%libname = %kdetv_epoch:%version-%release 
Obsoletes:			kwintv


%description
Kdetv allows you to watch TV in a window on your PC screen.
It has more or less the same abilities as xawtv
but it is is based on Qt and integrated in KDE.


%package -n %libname
Summary:    kdevideo libraries
Group:      System/Libraries
Epoch:      %kdetv_epoch
License:    LGPL
Obsoletes:	libqtvision1

%description -n %libname
These libraries provide TV support to KDE.


%package -n %{libname}-devel
Summary:    kdevideo libraries
Group:      System/Libraries
Epoch:      %kdetv_epoch
License:    LGPL
Requires:   %libname = %{kdetv_epoch}:%version-%release
Obsoletes:	libqtvision1-devel


%description -n %{libname}-devel
These're the files needed to develop applications that use qtvision libraries.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n%name-%version
%patch2 -p1 -b .lib64
%patch3 -p1 -b .simd-flags
%patch4 -p1 -b .auto26

%build
make -f admin/Makefile.common
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix
export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

CFLAGS="%optflags" CXXFLAGS="%optflags" \
	%configure  --disable-rpath \
%if "%{_lib}" != "lib"
				--enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
%if %compile_enable_final
				--enable-final \
%endif
        		--disable-debug 


%make

%install
%makeinstall 

#rm -rf $RPM_BUILD_ROOT/%_docdir/libqtvision1-0.8.0/COPYING
#rm -rf $RPM_BUILD_ROOT/%_docdir/libqtvision1-devel-0.8.0/COPYING

install -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl %{name} "Multimedia/Video" $RPM_BUILD_ROOT%{_datadir}/applnk/Multimedia/kdetv.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} 

chmod 4755 %buildroot/%_bindir/kdetvv4lsetup


# Dynamic desktop support
%define launchers /etc/dynamic/launchers/tvtuner
mkdir -p $RPM_BUILD_ROOT%launchers
cat > $RPM_BUILD_ROOT%launchers/%name.desktop << EOF
[Desktop Entry]
Name=KdeTv \$devicename
Comment=Kdetv
Exec=%_bindir/kdetv
Terminal=false
Icon=kdetv.png
Type=Application
EOF

%find_lang %name --with-html

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
update-alternatives --install %{launchers}/kde.desktop tvtuner.kde.dynamic %launchers/%name.desktop 31
update-alternatives --install %{launchers}/gnome.desktop tvtuner.gnome.dynamic %launchers/%name.desktop 29
%if %mdkversion > 200600
%update_icon_cache hicolor
%endif


%postun
%clean_menus
if [ $1 = 0 ]; then
  update-alternatives --remove tvtuner.kde.dynamic %launchers/%name.desktop
  update-alternatives --remove tvtuner.gnome.dynamic %launchers/%name.desktop
fi
%if %mdkversion > 200600
%clean_icon_cache hicolor
%endif


%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING
%_bindir/kdetv

%_bindir/kdetvv4lsetup

%_menudir/*

%dir %_datadir/apps/kdetv/
%_datadir/apps/kdetv/tips

%_iconsdir/hicolor/*/apps/kdetv.png

%_datadir/apps/kdetv/*.rc

%_datadir/applnk/Multimedia/kdetv.desktop

%dir %_datadir/apps/kdetv/channels-dist/
%_datadir/apps/kdetv/channels-dist/*.list
%_datadir/apps/kdetv/channels-dist/*.map

%_datadir/apps/profiles/kdetv.profile.xml

%_datadir/services/kdetv/*.desktop

%_datadir/servicetypes/kdetv/*.desktop   

%_datadir/apps/kdetv/icons/hicolor/16x16/apps/*.png
%_datadir/apps/kdetv/icons/hicolor/22x22/actions/*.png
   
%_datadir/apps/kdetv/icons/hicolor/22x22/apps/*.png
%_datadir/apps/kdetv/icons/hicolor/32x32/apps/*.png


%dir %_docdir/HTML/da/kdetv
%doc %_docdir/HTML/da/kdetv/common
%doc %_docdir/HTML/da/kdetv/*.bz2
%doc %_docdir/HTML/da/kdetv/*.docbook

%dir %_docdir/HTML/en/kdetv
%doc %_docdir/HTML/en/kdetv/common
%doc %_docdir/HTML/en/kdetv/*.bz2
%doc %_docdir/HTML/en/kdetv/*.docbook

%dir %_docdir/HTML/et/kdetv
%doc %_docdir/HTML/et/kdetv/common
%doc %_docdir/HTML/et/kdetv/*.bz2
%doc %_docdir/HTML/et/kdetv/*.docbook

%dir %_docdir/HTML/fr/kdetv
%doc %_docdir/HTML/fr/kdetv/common
%doc %_docdir/HTML/fr/kdetv/*.bz2
%doc %_docdir/HTML/fr/kdetv/*.docbook

%dir %_docdir/HTML/it/kdetv
%doc %_docdir/HTML/it/kdetv/common
%doc %_docdir/HTML/it/kdetv/*.bz2
%doc %_docdir/HTML/it/kdetv/*.docbook

%dir %_docdir/HTML/nl/kdetv
%doc %_docdir/HTML/nl/kdetv/common
%doc %_docdir/HTML/nl/kdetv/*.bz2
%doc %_docdir/HTML/nl/kdetv/*.docbook

%dir %_docdir/HTML/pt/kdetv
%doc %_docdir/HTML/pt/kdetv/common
%doc %_docdir/HTML/pt/kdetv/*.bz2
%doc %_docdir/HTML/pt/kdetv/*.docbook

%dir %_docdir/HTML/ru/kdetv
%doc %_docdir/HTML/ru/kdetv/common
%doc %_docdir/HTML/ru/kdetv/*.bz2
%doc %_docdir/HTML/ru/kdetv/*.docbook

%dir %_docdir/HTML/sv/kdetv
%doc %_docdir/HTML/sv/kdetv/common
%doc %_docdir/HTML/sv/kdetv/*.bz2
%doc %_docdir/HTML/sv/kdetv/*.docbook


%config(noreplace) %launchers/%name.desktop

%files -n %libname
%defattr(-,root,root)
%doc COPYING
%_libdir/kde3/*.la
%_libdir/kde3/*.so

%_libdir/*.la
%_libdir/*.so.*


%files -n %{libname}-devel
%defattr(-,root,root)
%doc COPYING
%_libdir/*.so


%changelog
* Mon Mar 19 2007 Olivier Blin <oblin@mandriva.com> 0.8.9-3mdv2007.1
+ Revision: 146365
- tag lang on HTML doc
- fix build with latest autotools
- Import kdetv




* Sat Aug 12 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.8.9-2
- add BuildRequires: libxxf86dga-devel libxt-devel libxv-devel

* Sun Aug 06 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8.9-1
- 0.8.9

* Tue Jul 18 2006 Nicolas Lécureuil <neoclust@mandriva.org>1:0.8.8-3mdv2007.0
- Rebuild for new menu && extension
- Use macro for icons

* Fri Sep 09 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.8-2
- Rebuild

* Fri Aug 26 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.8-1mdk
- 0.8.8
- Fix requires

* Thu Aug 25 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.8.7-3mdk
- fix build with simd flags

* Fri Jul 08 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.7-2mdk
- Rebuild 

* Thu Apr 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.7-1mdk
- 0.8.7

* Sun Apr 17 2005 Laurent MONTEL <lmontel@mandriva.com> 0.8.6-1mdk
- 0.8.6

* Thu Feb 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.5-3mdk
- Add patch5: fix crash when we select a channel

* Tue Feb 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.5-2mdk
- Add patch3: fix kde bug #99049
- Add patch4: fix kde bug #99281

* Sun Jan 30 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.5-1mdk
- 0.8.5

* Fri Nov 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.4-2mdk
- Fix package

* Mon Nov 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.4-1mdk
- 0.8.4

* Tue Nov 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-2mdk
- Reapply Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> changes (sorry)

* Thu Oct 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.3-1mdk
- 0.8.3

* Sun Oct 03 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.2-6mdk
- Fix epoch in -devel Requirement
- remove unusefull requirement

* Tue Sep 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-5mdk
- Fix dynamic icon 

* Mon Sep 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-4mdk
- Use devicename

* Fri Sep 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-3mdk
- Add dynamic desktop file

* Fri Aug 13 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.8.2-2mdk
- add BuildRequires: libMesaGLU-devel

* Mon Aug 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-1mdk
- 0.8.2

* Mon Jul 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.2-0.cvs20040725.1mdk
- Use snapshot before official 0.8.2 release

* Thu Jul 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-2mdk
- Fix spec file

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-1mdk
- 0.8.1

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8-1mdk
- First package
